/*******************************************************************************
 *  Copyright CONSORTIUM COCKTAIL (www.cocktail.org), 1995, 2008
 *  
 *  This software is governed by the CeCILL license under French law and abiding
 *  by the rules of distribution of free software. You can use, modify and/or
 *  redistribute the software under the terms of the CeCILL license as circulated
 *  by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
 *  
 *  As a counterpart to the access to the source code and rights to copy, modify
 *  and redistribute granted by the license, users are provided only with a
 *  limited warranty and the software's author, the holder of the economic
 *  rights, and the successive licensors have only limited liability.
 *  
 *  In this respect, the user's attention is drawn to the risks associated with
 *  loading, using, modifying and/or developing or reproducing the software by
 *  the user in light of its specific status of free software, that may mean that
 *  it is complicated to manipulate, and that also therefore means that it is
 *  reserved for developers and experienced professionals having in-depth
 *  computer knowledge. Users are therefore encouraged to load and test the
 *  software's suitability as regards their requirements in conditions enabling
 *  the security of their systems and/or data to be ensured and, more generally,
 *  to use and operate it in the same conditions as regards security.
 *  
 *  The fact that you are presently reading this means that you have had
 *  knowledge of the CeCILL license and that you accept its terms.
 * 
 *******************************************************************************/

package org.cocktail.mangue.client.gui.nomenclatures;

import java.awt.BorderLayout;
import java.util.Date;
import java.util.Vector;

import javax.swing.BorderFactory;
import javax.swing.JScrollPane;
import javax.swing.ListSelectionModel;
import javax.swing.SwingConstants;

import org.cocktail.application.client.swing.TableSorter;
import org.cocktail.application.client.swing.ZEOTable;
import org.cocktail.application.client.swing.ZEOTableModel;
import org.cocktail.application.client.swing.ZEOTableModelColumn;
import org.cocktail.mangue.common.modele.interfaces.INomenclature;
import org.cocktail.mangue.common.utilities.CocktailConstantes;
import org.cocktail.application.common.utilities.CocktailFormats;
import org.cocktail.mangue.common.utilities.CocktailIcones;
import org.cocktail.mangue.modele.grhum.EOCorps;
import org.cocktail.mangue.modele.grhum.EOEquivAncCorps;
import org.cocktail.mangue.modele.grhum.EOEquivAncGrade;
import org.cocktail.mangue.modele.grhum.EOGrade;

import com.webobjects.eointerface.EODisplayGroup;

/**
 *
 * @author  cpinsard
 */
public class NomenclatureEquivalencesView extends javax.swing.JPanel {


	private static final long serialVersionUID = -7770031412248058797L;

	protected EODisplayGroup eodCorps, eodGrade, eodEquivCorps, eodEquivGrade;
	protected ZEOTable myEOTableCorps, myEOTableGrade, myEOTableEquivCorps, myEOTableEquivGrade;
	protected ZEOTableModel myTableModelCorps, myTableModelGrade,myTableModelEquivCorps, myTableModelEquivGrade;
	protected TableSorter myTableSorterCorps, myTableSorterGrade,myTableSorterEquivCorps, myTableSorterEquivGrade;

    /** Creates new form TemplateJPanel */
    public NomenclatureEquivalencesView(EODisplayGroup dgCorps, EODisplayGroup dgGrade, EODisplayGroup dgEquivCorps, EODisplayGroup dgEquivGrade) {

        eodCorps = dgCorps;
        eodGrade = dgGrade;
        eodEquivCorps = dgEquivCorps;
        eodEquivGrade = dgEquivGrade;
        
        initComponents();
        initGui();
        
    }

	/** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        viewTableCorps = new javax.swing.JPanel();
        viewTableGrade = new javax.swing.JPanel();
        jTextField1 = new javax.swing.JTextField();
        jTextField2 = new javax.swing.JTextField();
        btnAjouterEquivGrade = new javax.swing.JButton();
        btnModifierEquivGrade = new javax.swing.JButton();
        btnSupprimerEquivGrade = new javax.swing.JButton();
        btnAjouterEquivCorps = new javax.swing.JButton();
        btnModifierEquivCorps = new javax.swing.JButton();
        btnSupprimerEquivCorps = new javax.swing.JButton();
        viewTableEquivCorps = new javax.swing.JPanel();
        viewTableEquivGrade = new javax.swing.JPanel();

        viewTableCorps.setBorder(javax.swing.BorderFactory.createBevelBorder(javax.swing.border.BevelBorder.RAISED));
        viewTableCorps.setLayout(new java.awt.BorderLayout());

        viewTableGrade.setBorder(javax.swing.BorderFactory.createBevelBorder(javax.swing.border.BevelBorder.RAISED));
        viewTableGrade.setLayout(new java.awt.BorderLayout());

        jTextField1.setBackground(new java.awt.Color(204, 204, 255));
        jTextField1.setEditable(false);
        jTextField1.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        jTextField1.setText("EQUIVALENCES CORPS");
        jTextField1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jTextField1ActionPerformed(evt);
            }
        });

        jTextField2.setBackground(new java.awt.Color(204, 204, 255));
        jTextField2.setEditable(false);
        jTextField2.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        jTextField2.setText("EQUIVALENCES GRADE");

        btnAjouterEquivGrade.setToolTipText("Ajouter une équivalence grade");

        btnModifierEquivGrade.setToolTipText("Modifier l'équivalence");

        btnSupprimerEquivGrade.setToolTipText("Supprimer l'équivalence");

        btnAjouterEquivCorps.setToolTipText("Ajouter une équivalence corps");

        btnModifierEquivCorps.setToolTipText("Modifier l'équivalence");

        btnSupprimerEquivCorps.setToolTipText("Supprimer l'équivalence");

        viewTableEquivCorps.setBorder(javax.swing.BorderFactory.createBevelBorder(javax.swing.border.BevelBorder.RAISED));
        viewTableEquivCorps.setLayout(new java.awt.BorderLayout());

        viewTableEquivGrade.setBorder(javax.swing.BorderFactory.createBevelBorder(javax.swing.border.BevelBorder.RAISED));
        viewTableEquivGrade.setLayout(new java.awt.BorderLayout());

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                        .add(jTextField2, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 880, Short.MAX_VALUE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnAjouterEquivGrade, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnModifierEquivGrade, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnSupprimerEquivGrade, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                        .add(jTextField1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 880, Short.MAX_VALUE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnAjouterEquivCorps, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnModifierEquivCorps, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnSupprimerEquivCorps, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(layout.createSequentialGroup()
                        .add(viewTableCorps, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 382, Short.MAX_VALUE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(viewTableEquivCorps, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 576, Short.MAX_VALUE))
                    .add(layout.createSequentialGroup()
                        .add(viewTableGrade, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 371, Short.MAX_VALUE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(viewTableEquivGrade, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 587, Short.MAX_VALUE)))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .addContainerGap()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(btnAjouterEquivCorps, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(btnModifierEquivCorps, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(btnSupprimerEquivCorps, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                    .add(layout.createSequentialGroup()
                        .add(13, 13, 13)
                        .add(jTextField1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(viewTableCorps, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 290, Short.MAX_VALUE)
                    .add(viewTableEquivCorps, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 290, Short.MAX_VALUE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                        .add(btnAjouterEquivGrade, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(btnModifierEquivGrade, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(btnSupprimerEquivGrade, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(jTextField2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(viewTableGrade, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 350, Short.MAX_VALUE)
                    .add(viewTableEquivGrade, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 350, Short.MAX_VALUE))
                .addContainerGap())
        );
    }// </editor-fold>//GEN-END:initComponents

    private void jTextField1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jTextField1ActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_jTextField1ActionPerformed


    // Variables declaration - do not modify//GEN-BEGIN:variables
    protected javax.swing.JButton btnAjouterEquivCorps;
    protected javax.swing.JButton btnAjouterEquivGrade;
    protected javax.swing.JButton btnModifierEquivCorps;
    protected javax.swing.JButton btnModifierEquivGrade;
    protected javax.swing.JButton btnSupprimerEquivCorps;
    protected javax.swing.JButton btnSupprimerEquivGrade;
    private javax.swing.JTextField jTextField1;
    private javax.swing.JTextField jTextField2;
    protected javax.swing.JPanel viewTableCorps;
    protected javax.swing.JPanel viewTableEquivCorps;
    protected javax.swing.JPanel viewTableEquivGrade;
    protected javax.swing.JPanel viewTableGrade;
    // End of variables declaration//GEN-END:variables

        private void initGui() {

    	btnAjouterEquivCorps.setIcon(CocktailIcones.ICON_ADD);
    	btnModifierEquivCorps.setIcon(CocktailIcones.ICON_UPDATE);
    	btnSupprimerEquivCorps.setIcon(CocktailIcones.ICON_DELETE);

    	btnAjouterEquivGrade.setIcon(CocktailIcones.ICON_ADD);
    	btnModifierEquivGrade.setIcon(CocktailIcones.ICON_UPDATE);
    	btnSupprimerEquivGrade.setIcon(CocktailIcones.ICON_DELETE);

		Vector<ZEOTableModelColumn> myCols = new Vector<ZEOTableModelColumn>();

		ZEOTableModelColumn col = new ZEOTableModelColumn(eodCorps, EOCorps.C_CORPS_KEY, "Code", 50);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);

   		col = new ZEOTableModelColumn(eodCorps, EOCorps.LL_CORPS_KEY, "Libellé Corps", 300);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);

		myTableModelCorps = new ZEOTableModel(eodCorps, myCols);
		myTableSorterCorps = new TableSorter(myTableModelCorps);

		myEOTableCorps = new ZEOTable(myTableSorterCorps);
		//myEOTable.addListener(myListenerContrat);
		myTableSorterCorps.setTableHeader(myEOTableCorps.getTableHeader());		

		myEOTableCorps.setBackground(CocktailConstantes.COLOR_BKG_TABLE_VIEW);
		myEOTableCorps.setSelectionBackground(CocktailConstantes.COLOR_SELECTED_ROW);
		myEOTableCorps.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);
		
		viewTableCorps.setLayout(new BorderLayout());
		viewTableCorps.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTableCorps.removeAll();
		viewTableCorps.add(new JScrollPane(myEOTableCorps), BorderLayout.CENTER);

		myCols = new Vector<ZEOTableModelColumn>();

    	col = new ZEOTableModelColumn(eodGrade, EOGrade.C_GRADE_KEY, "Code", 50);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodGrade, EOGrade.LL_GRADE_KEY, "Libellé Grade", 300);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);

		myTableModelGrade = new ZEOTableModel(eodGrade, myCols);
		myTableSorterGrade = new TableSorter(myTableModelGrade);

		myEOTableGrade = new ZEOTable(myTableSorterGrade);
		//myEOTable.addListener(myListenerContrat);
		myTableSorterGrade.setTableHeader(myEOTableGrade.getTableHeader());		

		myEOTableGrade.setBackground(CocktailConstantes.COLOR_BKG_TABLE_VIEW);
		myEOTableGrade.setSelectionBackground(CocktailConstantes.COLOR_SELECTED_ROW);
		myEOTableGrade.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);
		
		viewTableGrade.setLayout(new BorderLayout());
		viewTableGrade.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTableGrade.removeAll();
		viewTableGrade.add(new JScrollPane(myEOTableGrade), BorderLayout.CENTER);

		
		
		myCols = new Vector<ZEOTableModelColumn>();

    	col = new ZEOTableModelColumn(eodEquivCorps, EOEquivAncCorps.GRADE_EQUIVALENT_KEY+"."+EOGrade.C_GRADE_KEY, "Code", 30);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodEquivCorps, EOEquivAncCorps.GRADE_EQUIVALENT_KEY+"."+EOGrade.LL_GRADE_KEY, "Grade Equivalent", 225);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodEquivCorps, EOEquivAncCorps.TYPE_ACCES_KEY+"."+INomenclature.LIBELLE_COURT_KEY, "Accès", 100);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodEquivCorps, EOEquivAncCorps.TEM_PROMOUVABILITE_KEY, "Prom.", 50);
    	col.setAlignment(SwingConstants.CENTER);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodEquivCorps, EOEquivAncCorps.D_DEB_VAL_KEY, "Ouverture", 75);
    	col.setAlignment(SwingConstants.CENTER);
		col.setFormatDisplay(CocktailFormats.FORMAT_DATE_DDMMYYYY);
		col.setColumnClass(Date.class);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodEquivCorps, EOEquivAncCorps.D_FIN_VAL_KEY, "Fermeture", 75);
    	col.setAlignment(SwingConstants.CENTER);
		col.setFormatDisplay(CocktailFormats.FORMAT_DATE_DDMMYYYY);
		col.setColumnClass(Date.class);
    	myCols.add(col);

		myTableModelEquivCorps = new ZEOTableModel(eodEquivCorps, myCols);
		myTableSorterEquivCorps = new TableSorter(myTableModelEquivCorps);

		myEOTableEquivCorps = new ZEOTable(myTableSorterEquivCorps);
		//myEOTable.addListener(myListenerContrat);
		myTableSorterEquivCorps.setTableHeader(myEOTableEquivCorps.getTableHeader());		

		myEOTableEquivCorps.setBackground(CocktailConstantes.COLOR_BKG_TABLE_VIEW);
		myEOTableEquivCorps.setSelectionBackground(CocktailConstantes.COLOR_SELECTED_ROW);
		myEOTableEquivCorps.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);
		
		viewTableEquivCorps.setLayout(new BorderLayout());
		viewTableEquivCorps.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTableEquivCorps.removeAll();
		viewTableEquivCorps.add(new JScrollPane(myEOTableEquivCorps), BorderLayout.CENTER);

		
		myCols = new Vector<ZEOTableModelColumn>();

    	col = new ZEOTableModelColumn(eodEquivGrade, EOEquivAncCorps.GRADE_EQUIVALENT_KEY+"."+EOGrade.C_GRADE_KEY, "Code", 30);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodEquivGrade, EOEquivAncGrade.GRADE_EQUIVALENT_KEY+"."+EOGrade.LL_GRADE_KEY, "Grade Equivalent" , 225);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodEquivGrade, EOEquivAncGrade.TYPE_ACCES_KEY+"."+INomenclature.LIBELLE_COURT_KEY, "Accès", 100);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodEquivGrade, EOEquivAncGrade.TEM_PROMOUVABILITE_KEY, "Prom.", 50);
    	col.setAlignment(SwingConstants.CENTER);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodEquivGrade, EOEquivAncGrade.D_DEB_VAL_KEY, "Ouverture", 75);
    	col.setAlignment(SwingConstants.CENTER);
		col.setFormatDisplay(CocktailFormats.FORMAT_DATE_DDMMYYYY);
		col.setColumnClass(Date.class);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodEquivGrade, EOEquivAncGrade.D_FIN_VAL_KEY, "Fermeture", 75);
    	col.setAlignment(SwingConstants.CENTER);
		col.setFormatDisplay(CocktailFormats.FORMAT_DATE_DDMMYYYY);
		col.setColumnClass(Date.class);
    	myCols.add(col);

		myTableModelEquivGrade = new ZEOTableModel(eodEquivGrade, myCols);
		myTableSorterEquivGrade = new TableSorter(myTableModelEquivGrade);

		myEOTableEquivGrade = new ZEOTable(myTableSorterEquivGrade);
		//myEOTable.addListener(myListenerContrat);
		myTableSorterEquivGrade.setTableHeader(myEOTableEquivGrade.getTableHeader());		

		myEOTableEquivGrade.setBackground(CocktailConstantes.COLOR_BKG_TABLE_VIEW);
		myEOTableEquivGrade.setSelectionBackground(CocktailConstantes.COLOR_SELECTED_ROW);
		myEOTableEquivGrade.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);
		
		viewTableEquivGrade.setLayout(new BorderLayout());
		viewTableEquivGrade.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTableEquivGrade.removeAll();
		viewTableEquivGrade.add(new JScrollPane(myEOTableEquivGrade), BorderLayout.CENTER);

    }

		public ZEOTable getMyEOTableCorps() {
			return myEOTableCorps;
		}

		public void setMyEOTableCorps(ZEOTable myEOTableCorps) {
			this.myEOTableCorps = myEOTableCorps;
		}

		public ZEOTable getMyEOTableGrade() {
			return myEOTableGrade;
		}

		public void setMyEOTableGrade(ZEOTable myEOTableGrade) {
			this.myEOTableGrade = myEOTableGrade;
		}

		public ZEOTable getMyEOTableEquivCorps() {
			return myEOTableEquivCorps;
		}

		public void setMyEOTableEquivCorps(ZEOTable myEOTableEquivCorps) {
			this.myEOTableEquivCorps = myEOTableEquivCorps;
		}

		public ZEOTable getMyEOTableEquivGrade() {
			return myEOTableEquivGrade;
		}

		public void setMyEOTableEquivGrade(ZEOTable myEOTableEquivGrade) {
			this.myEOTableEquivGrade = myEOTableEquivGrade;
		}

		public ZEOTableModel getMyTableModelCorps() {
			return myTableModelCorps;
		}

		public void setMyTableModelCorps(ZEOTableModel myTableModelCorps) {
			this.myTableModelCorps = myTableModelCorps;
		}

		public ZEOTableModel getMyTableModelGrade() {
			return myTableModelGrade;
		}

		public void setMyTableModelGrade(ZEOTableModel myTableModelGrade) {
			this.myTableModelGrade = myTableModelGrade;
		}

		public ZEOTableModel getMyTableModelEquivCorps() {
			return myTableModelEquivCorps;
		}

		public void setMyTableModelEquivCorps(ZEOTableModel myTableModelEquivCorps) {
			this.myTableModelEquivCorps = myTableModelEquivCorps;
		}

		public ZEOTableModel getMyTableModelEquivGrade() {
			return myTableModelEquivGrade;
		}

		public void setMyTableModelEquivGrade(ZEOTableModel myTableModelEquivGrade) {
			this.myTableModelEquivGrade = myTableModelEquivGrade;
		}

		public javax.swing.JButton getBtnAjouterEquivCorps() {
			return btnAjouterEquivCorps;
		}

		public void setBtnAjouterEquivCorps(javax.swing.JButton btnAjouterEquivCorps) {
			this.btnAjouterEquivCorps = btnAjouterEquivCorps;
		}

		public javax.swing.JButton getBtnAjouterEquivGrade() {
			return btnAjouterEquivGrade;
		}

		public void setBtnAjouterEquivGrade(javax.swing.JButton btnAjouterEquivGrade) {
			this.btnAjouterEquivGrade = btnAjouterEquivGrade;
		}

		public javax.swing.JButton getBtnModifierEquivCorps() {
			return btnModifierEquivCorps;
		}

		public void setBtnModifierEquivCorps(javax.swing.JButton btnModifierEquivCorps) {
			this.btnModifierEquivCorps = btnModifierEquivCorps;
		}

		public javax.swing.JButton getBtnModifierEquivGrade() {
			return btnModifierEquivGrade;
		}

		public void setBtnModifierEquivGrade(javax.swing.JButton btnModifierEquivGrade) {
			this.btnModifierEquivGrade = btnModifierEquivGrade;
		}

		public javax.swing.JButton getBtnSupprimerEquivCorps() {
			return btnSupprimerEquivCorps;
		}

		public void setBtnSupprimerEquivCorps(javax.swing.JButton btnSupprimerEquivCorps) {
			this.btnSupprimerEquivCorps = btnSupprimerEquivCorps;
		}

		public javax.swing.JButton getBtnSupprimerEquivGrade() {
			return btnSupprimerEquivGrade;
		}

		public void setBtnSupprimerEquivGrade(javax.swing.JButton btnSupprimerEquivGrade) {
			this.btnSupprimerEquivGrade = btnSupprimerEquivGrade;
		}

    
}
